Built LMS Help Center
API Reference and PlaygroundSettingsEmail Templates

PUT Update email template

Update email template content with Mustache validation (admin permission required)

PUT
/email-templates/{type}

Update email template content with Mustache validation (admin permission required)

Authorization

BearerAuth
AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

type*string

Email template type (workflow_id)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/email-templates/{type}" \  -H "Content-Type: application/json" \  -d '{    "subject": "Example subject",    "html_body": "Example html body",    "text_body": "Example text body"  }'
{  "data": {    "id": "{id}",    "organization_id": "{organization_id}",    "type": "string",    "subject": "string",    "html_body": "string",    "text_body": "string",    "variables": [      "string"    ],    "is_active": true,    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "total": 0,    "total_count": 0,    "limit": 0,    "offset": 0,    "has_more": true,    "requested_at": "2019-08-24T14:15:22Z"  }}